## python-typing-inspect 0.7.1

=== requirements.txt ===
typing >= 3.7.4
mypy_extensions >= 0.3.0
typing_extensions >= 3.7.4

=== debian/changelog ===
python-typing-inspect (0.7.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #972803)
  * d/tests: fix unittests autopkgtest for multiple Python versions.
    (Closes: #973905)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 19 Oct 2020 01:40:46 -0400

python-typing-inspect (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #971340)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 28 Sep 2020 22:12:38 -0400

=== debian/control ===
Source: python-typing-inspect
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-mypy-extensions <!nocheck>,
               python3-typing-extensions <!nocheck>,
Standards-Version: 4.5.0.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-typing-inspect.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-typing-inspect
Homepage: https://github.com/ilevkivskyi/typing_inspect

Package: python3-typing-inspect
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Description: API for runtime inspection of types in Python
 The typing-inspect module defines experimental API for runtime inspection of
 types defined in the Python standard typing module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = python-typing-inspect

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	python3 -m unittest test_typing_inspect.py -v

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/ilevkivskyi/typing_inspect.git \
refs/tags/([\d\.]+)

## python-typing-inspect 0.8.0

=== debian/changelog ===
python-typing-inspect (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: delete PR86, as it is part of the new release.
  * d/control: add pytest as a b-d, as upstream now uses it.
  * d/control: Standards-Version update to 4.6.1. No changes.
  * d/rules: run tests on all available python versions.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 18 Aug 2022 14:08:56 -0400

python-typing-inspect (0.7.1-2) unstable; urgency=medium

  * debian/patches/PR86.patch
    - ensure compatibility with typing_extensions >= 4.1.1

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Aug 2022 00:01:44 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                python3-setuptools,
                python3-mypy-extensions <!nocheck>,
                python3-typing-extensions <!nocheck>,
-Standards-Version: 4.5.0.0
+               python3-pytest <!nocheck>
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-typing-inspect.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-typing-inspect
 Homepage: https://github.com/ilevkivskyi/typing_inspect

## python-typing-inspect 0.9.0

=== requirements.txt ===
typing >= 3.7.4
mypy_extensions >= 0.3.0
typing_extensions >= 3.7.4.2

=== debian/changelog ===
python-typing-inspect (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Fix tests on Python 3.14 (closes: #1123326).
  * Use dh-sequence-python3.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Feb 2026 16:07:10 +0000

python-typing-inspect (0.9.0-1) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * New upstream version.

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 12 Jun 2023 14:24:53 -0400

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-mypy-extensions <!nocheck>,
                python3-typing-extensions <!nocheck>,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-typing-inspect.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-typing-inspect
 Homepage: https://github.com/ilevkivskyi/typing_inspect

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = python-typing-inspect

%:
	dh $@ --buildsystem=pybuild
